# Deprecated API

## Contents

- Classes
- Fields
- Methods

Classes
org.apache.sling.scripting.sightly.compiler.RuntimeFunction: constants are available in `RuntimeCall` starting with version 1.2.0 of the `org.apache.sling.scripting.sightly.compiler.expression.nodes` API.
org.apache.sling.scripting.sightly.compiler.util.ObjectModel: This class has been moved to `ObjectModel`.

Fields
org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyLexer.tokenNames: Use `SightlyLexer.VOCABULARY` instead.
org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParser.tokenNames: Use `SightlyParser.VOCABULARY` instead.

Methods
org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyLexer.getTokenNames()
org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParser.getTokenNames()